[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TIcnsList.Add

Creates and stores a entry in the list for the specified icon type and raw image.

## Declaration

Source position: graphics.pp line 1710

`public function TIcnsList.Add(`
`AIconType: TicnsIconType;`
`ARawImage: TRawImage`
`):Integer;`

## Arguments

`AIconType` |  | Type for the image data, mask, or alpha channel image in the raw data.
`ARawImage` |  | Raw image instance added to the container.

## Function result

Ordinal position in the list where the new entry was stored.